(function() {
    "use strict";

    angular.module("weChatApp")
        .filter("DateFormatter", [DateFormatter])
    ;

    function DateFormatter() {
        return function(input, enable, format) {
            if(enable && input) {
                return moment(input).format(format || "LLL");
            } else {
                // Bypass mode
                return input;
            }
        };
    }
}());